Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.analysis.plugin
Enum IPlugin.STATE

    java.lang.Object
      java.lang.Enum<IPlugin.STATE>
          kieker.analysis.plugin.IPlugin.STATE

All Implemented Interfaces:
  Serializable, Comparable<IPlugin.STATE>

Enclosing interface:
  IPlugin

    public static enum IPlugin.STATE

extends Enum<IPlugin.STATE>

An enumeration used to describe the state of an `AbstractPlugin`.

Since:
  1.6
Author:
  Jan Waller

Enum Constant Summary
`FAILED` The plugin has been terminated with error.
`FAILING` The plugin has been notified to terminate with error.
`READY` The plugin has been initialized and is ready to be configured.
`RUNNING` The plugin is currently running.
`TERMINATED` The plugin has been terminated.
`TERMINATING` The plugin has been notified to terminate.

Method Summary
`static IPlugin.STATE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IPlugin.STATE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READY

    public static final IPlugin.STATE READY

  The plugin has been initialized and is ready to be configured.

### RUNNING

    public static final IPlugin.STATE RUNNING

  The plugin is currently running.

### TERMINATING

    public static final IPlugin.STATE TERMINATING

  The plugin has been notified to terminate.

### TERMINATED

    public static final IPlugin.STATE TERMINATED

  The plugin has been terminated.

### FAILING

    public static final IPlugin.STATE FAILING

  The plugin has been notified to terminate with error.

### FAILED

    public static final IPlugin.STATE FAILED

  The plugin has been terminated with error.

Method Detail

### values

    public static IPlugin.STATE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IPlugin.STATE c : IPlugin.STATE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IPlugin.STATE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net